MongoCursor::sort
MongoCursor::timeout
MongoCursor
PHP Manual

# MongoCursor::tailable

Sets whether this cursor will be left open after fetching the last results

### Description

public MongoCursor MongoCursor::tailable ([ bool `$tail` = true ] )

Mongo has a feature known as tailable cursors which are similar to the Unix "tail -f" command.

Tailable means cursor is not closed when the last data is retrieved. Rather, the cursor marks the final object's position. you can resume using the cursor later, from where it was located, if more data were received.

Like any "latent cursor", the cursor may become invalid at some point -- for example if that final object it references were deleted. Thus, you should be prepared to requery if the cursor is MongoCursor::dead.

### Parameters

`tail`

  If the cursor should be tailable.

### Return Values

Returns this cursor.

### Errors/Exceptions

Throws MongoCursorException if this cursor has started iterating.

### Examples

Example #1 MongoCursor::tailable example

`<?php
$cursor = $collection->find()->tailable();
$results = array();
while (1) {
if (!$cursor->hasNext()) {
// we've read all the results, exit
if ($cursor->dead()) {
break;
}
// read all results so far, wait for more
sleep(10);
}
else {
$results[] = $cursor->getNext();
}
}
?>`

### See Also

MongoDB core docs on » tailable cursors.

- MongoCursor::awaitData